﻿using Microsoft.Extensions.DependencyInjection;
using SqlSugar;

namespace DataSharing.Repository.Extensions
{
    public static class HotlineQueryDbExtensions
    {
        public static void AddHotline(this IServiceCollection services, HotlineConfiguration hotlineConfiguration)
        {
            SqlSugarScope sqlSugar = new SqlSugarScope(new ConnectionConfig()
            {
                DbType = DbType.PostgreSQL,
                ConnectionString = hotlineConfiguration.DbConnectionString,
                IsAutoCloseConnection = true,
                MoreSettings = new ConnMoreSettings
                {
                    PgSqlIsAutoToLower = false,//增删查改支持驼峰表
                    PgSqlIsAutoToLowerCodeFirst = false, // 建表建驼峰表。5.1.3.30 
                }
            },
                 db => { }
             );

            ISugarUnitOfWork<HotlineDbContext> context = new SugarUnitOfWork<HotlineDbContext>(sqlSugar);
            services.AddSingleton(context);
            //   return services;
        }
    }
}
